function distances = mycalcdist_new(data,centerx,centery,StartFrame,Width,Height)
%  input: vector of data points, single center or multiple centers
%
% output: vector of distances
%
% Copyright 2012, Zhen Qin and Christian R. Shelton
% Provided free for non-commercial use
% WITHOUT ANY WARRANTY -- see Readme.txt

temp=cell2mat(data);

start=temp(1);
finish=temp(2);
distances=0;

%cal the distance
for i=1:finish-start+1
    
    dis=GPdis(temp(4*i),temp(4*i+1),centerx(start+i-StartFrame),centery(start+i-StartFrame),Width,Height);
    %%if you know camera parameters, use this one to get
    %%distance on the ground plane, but run
    %%GettheprojectionM.m first    
    %dis=GPdis_new(temp(4*i),temp(4*i+1),centerx(start+i-StartFrame),centery(start+i-StartFrame),Width,Height);
    distances=distances+dis;
    
end


