function [y,phi,psi,Centre_new,distmat_new]=findl_new(u,phi,psi,Centre_new,Rows,Data,FinishFrame,StartFrame,Tracklet_cell,Mlink,thresfinish,NumofTr,K,WEIGHT,Width,Height)

%
% Copyright 2012, Zhen Qin and Christian R. Shelton
% Provided free for non-commercial use
% WITHOUT ANY WARRANTY -- see Readme.txt

      Mlink_new=zeros(NumofTr*2,NumofTr*2);
      psi_new=ones(NumofTr,NumofTr);
      phi_new=ones(NumofTr,K);
   while(~(isequal(psi_new,psi) && isequal(phi_new,phi)))
       psi_new=psi;
       phi_new=phi;
   for i=1:NumofTr
        for j=1:NumofTr
            tmpk=0;
            for k=1:K
                tmpk=tmpk+u(i,j,k)*(phi(i,k)-phi(j,k));
            end
        Mlink_new(i,j)=Mlink(i,j)+tmpk;
        end
    end
    
    Mlink_new(NumofTr+1:NumofTr*2,:)=Inf;

    for i=NumofTr+1:NumofTr*2
        Mlink_new(i-NumofTr,i)=thresfinish;
    end

    [Matching_new,Cost_new]=munkres(Mlink_new);  
    psi=Matching_new(1:NumofTr, 1:NumofTr);
    
    [Centre_new,Assign,distmat_new]= mykmeans_new(Tracklet_cell,Centre_new,0,StartFrame,NumofTr,K,Rows,Data,u,psi,FinishFrame,WEIGHT,Width,Height); %Centre_Gen inside
    
    phi=zeros(NumofTr,K);  
    for i=1:NumofTr  %get new phi
        phi(i,Assign(i))=1;
    end
    
   end %end while
  
    sum1=Cost_new;
    sum2=sum(distmat_new(phi==1)); %quality of tracklet group assignment
    sum3=0;
    for i=1:NumofTr
        for j=1:NumofTr
            for k=1:K
            sum3=sum3+u(i,j,k)*psi(i,j)*(phi(i,k)-phi(j,k));
            end
        end
    end
    y=-1*(sum1+sum2+sum3);