function [u,fval,psi,phi,Centre_new,distmat_new] = trackoptimize_new(u,Rows,K,Data,FinishFrame,StartFrame,NumofTr,Tracklet_cell,phi,psi,Mlink,thresfinish,Centre_new,WEIGHT,Width,Height)
%
% Copyright 2012, Zhen Qin and Christian R. Shelton
% Provided free for non-commercial use
% WITHOUT ANY WARRANTY -- see Readme.txt
    options = optimset('GradObj','on','Display','iter-detailed');
    [u,fval]=minFunc(@nestedfunc,reshape(u,NumofTr*NumofTr*K,1),options);
    
    function [y,g]=nestedfunc(u)
        
    u1 = reshape(u,[NumofTr NumofTr K]);
    [y,phi,psi,Centre_new,distmat_new]=findl_new(u1,phi,psi,Centre_new,Rows,Data,FinishFrame,StartFrame,Tracklet_cell,Mlink,thresfinish,NumofTr,K,WEIGHT,Width,Height);

    g = repmat(psi,[1 1 K]).*(repmat(permute(phi,[1 3 2]),[1 NumofTr 1]) - repmat(permute(phi,[3 1 2]),[NumofTr 1 1]));
    g = -reshape(g,NumofTr*NumofTr*K,1);
       
    end
    
end
